package com.tanpu.feo.feojob.feign.shorter;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class ShorterResp<T> {

    private int code;

    private String msg;

    private T result;

    public ShorterResp(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public boolean isSuccess() {
        return code == 200;
    }

    public boolean isNotSuccess() {
        return !isSuccess();
    }
}
